Package com.independentsoft.office.odf.fields

# Class HiddenText

java.lang.Object
com.independentsoft.office.odf.fields.Field
com.independentsoft.office.odf.fields.HiddenText

All Implemented Interfaces:
  `IContentElement`, `IParagraphContent`

public class HiddenText extends Field
Hides the text it contains when a specified condition is true.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.fields.Field

  `parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HiddenText()`
  Initializes a new instance of the HiddenText class.
  `HiddenText​(InternalXMLStreamReader reader)`
  Instantiates a new hidden text.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HiddenText`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getCondition()`
  Gets the Boolean expression.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getText()`
  Gets the text to display if a condition has the value of false.
  `String`
  `getValue()`
  Gets the text.
  `boolean`
  `isHidden()`
  Specifies whether a field or or paragraph is currently visible.
  `void`
  `setCondition​(String condition)`
  Sets the Boolean expression.
  `void`
  `setHidden​(boolean isHidden)`
  Specifies whether a field or or paragraph is currently visible.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setText​(String text)`
  Sets the text to display if a condition has the value of false.
  `void`
  `setValue​(String value)`
  Sets the text.
  `String`
  `toString()`
  Converts the value of the current HiddenText object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HiddenText

    public HiddenText()
    Initializes a new instance of the HiddenText class.

  - ### HiddenText

    public HiddenText​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new hidden text.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `Field`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Overrides:
      `getParent` in class `Field`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Overrides:
      `setParent` in class `Field`
    Parameters:
      `parent` - the new parent

  - ### clone

    public HiddenText clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in class `Field`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current HiddenText object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getCondition

    public String getCondition()
    Gets the Boolean expression.
    Returns:
      the condition

  - ### setCondition

    public void setCondition​(String condition)
    Sets the Boolean expression.
    Parameters:
      `condition` - the new condition

  - ### getText

    public String getText()
    Gets the text to display if a condition has the value of false.
    Returns:
      the text

  - ### setText

    public void setText​(String text)
    Sets the text to display if a condition has the value of false.
    Parameters:
      `text` - the new text

  - ### isHidden

    public boolean isHidden()
    Specifies whether a field or or paragraph is currently visible.
    Returns:
      true, if is hidden

  - ### setHidden

    public void setHidden​(boolean isHidden)
    Specifies whether a field or or paragraph is currently visible.
    Parameters:
      `isHidden` - the new hidden

  - ### getValue

    public String getValue()
    Gets the text.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the text.
    Parameters:
      `value` - the new value